Get PDP Question Set
curl --request GET \
--url https://api.yourhomie.ai/v1/knowledge/pdp-questions/{organizationId}/publicimport requests
url = "https://api.yourhomie.ai/v1/knowledge/pdp-questions/{organizationId}/public"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.yourhomie.ai/v1/knowledge/pdp-questions/{organizationId}/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Produktfragen
PDP-Fragenset abrufen
Rufe das öffentliche Set vorgeschlagener Produktfragen für eine Produktseite ab.
GET
/
v1
/
knowledge
/
pdp-questions
/
{organizationId}
/
public
Get PDP Question Set
Rufe die vorgeschlagenen Fragen für eine bestimmte Produktdetailseite (PDP) ab. Dieser Endpunkt ist öffentlich und CORS-fähig, sodass du ihn direkt aus dem Browser eines Storefronts aufrufen kannst.
Dies ist der einzige öffentliche Endpunkt der REST API. Er benötigt keinen
x-api-key-Header.Request
string
erforderlich
ID der Organisation, der das Fragenset gehört.
string
erforderlich
Die URL der Produktdetailseite. Der Server kanonisiert die URL vor dem Abgleich.
Response
Die Response ist einPdpQuestionsSetDto.
string
erforderlich
ID des Fragensets.
string
erforderlich
ID der Organisation, der das Fragenset gehört.
string
erforderlich
Die kanonisierte PDP-URL, zu der das Fragenset gehört.
string
Titel des Produkts oder
null, wenn unbekannt.integer
Anzahl, wie oft das Fragenset angefragt wurde.
string
erforderlich
ISO-8601-Zeitstempel, wann das Fragenset erstellt wurde.
object[]
erforderlich
Beispiele
curl -G https://api.yourhomie.ai/v1/knowledge/pdp-questions/11111111-2222-3333-4444-555555555555/public \
--data-urlencode "url=https://shop.example.com/p/produkt-abc-12345"
const organizationId = "11111111-2222-3333-4444-555555555555";
const pdpUrl = "https://shop.example.com/p/produkt-abc-12345";
const res = await fetch(
`https://api.yourhomie.ai/v1/knowledge/pdp-questions/${organizationId}/public?url=${encodeURIComponent(pdpUrl)}`,
);
const questionSet = await res.json();
Erfolgreiche Response
{
"id": "49113e90-6e30-42d1-8c02-a697c6b47f01",
"organizationId": "11111111-2222-3333-4444-555555555555",
"productTitle": null,
"url": "https://shop.example.com/p/produkt-abc-12345",
"requests": 12,
"createdAt": "2025-10-16T11:44:41.140Z",
"questions": [
{
"id": "f5ae1f7e-9680-497a-b2d6-afbbb1203408",
"text": "What are the dimensions of the product?",
"rank": 1
},
{
"id": "8e0ab7fe-0e23-4efe-835b-8106f9cca314",
"text": "What material is it made of?",
"rank": 2
}
]
}
Fehler-Response
{
"message": "No question set found for this URL"
}